Bug 351761 - Review Request: perl-Business-ISBN - Perl module to work with International Standard Book Numbers
Review Request: perl-Business-ISBN - Perl module to work with International S...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 00:55 EDT by Robin Norwood
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 05:43:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Norwood 2007-10-25 00:55:27 EDT
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN-2.03-1.fc8.src.rpm
Description: This modules handles International Standard Book Numbers, including
ISBN-10 and ISBN-13.

This modules requires perl-Business-ISBN-Data: https://bugzilla.redhat.com/show_bug.cgi?id=351751
Comment 1 Robin Norwood 2007-10-25 00:56:56 EDT
This module is also used in the tests for perl-URI:
https://bugzilla.redhat.com/show_bug.cgi?id=226283
Comment 2 Parag AN(पराग) 2007-10-25 04:02:44 EDT
missing BR: perl(GD::Barcode::EAN13) perl(Test::Pod) perl(LWP::Simple) for "make
check"
Comment 4 Parag AN(पराग) 2007-10-25 23:27:40 EDT
I think you uploaded correct version of SPEC but missed to upload SRPM from it.
I saw that SRPM contains SPEC that have 
#BuildRequires:  perl(GD::Barcode::EAN13)
that prevented one test case thus showing
t/png_barcode............ok
        4/10 skipped: Need GD::Barcode::EAN13
Comment 5 Robin Norwood 2007-10-26 00:29:14 EDT
ok, must've fumbled something.  try it now.
Comment 6 Parag AN(पराग) 2007-10-26 01:21:41 EDT
Dunno still getting same skipped test result
I guess some thing wrong with png_barcode.t test file.
Comment 7 Robin Norwood 2007-10-26 15:10:50 EDT
Yes, it looks like that test has a couple of bugs in it.  Fixed these bugs with
a patch.  New version here:

http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN.spec
http://people.redhat.com/rnorwood/rpms/perl-Business-ISBN-2.03-3.fc8.src.rpm

The test should not be skipped now.

Also submitted the patch upstream here:
http://rt.cpan.org/Public/Bug/Display.html?id=30291
Comment 8 Parag AN(पराग) 2007-10-26 22:17:43 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
507f90ec2e8f53e138222895444cef4c  Business-ISBN-2.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/albania................ok
t/constants..............ok
t/interface..............ok
t/isbn10.................#
# Checking ISBNs... (this may take a bit)
#
# Checking bad ISBNs... (this should be fast)
ok
t/isbn13.................#
# Checking ISBN13s... (this may take a bit)
#
# Checking bad ISBN13s... (this should be fast)
ok
t/load...................ok
t/png_barcode............ok
t/pod....................ok
t/pod_coverage...........ok
t/valid_isbn_checksum....ok
t/xisbn10................ok
All tests successful.
Files=11, Tests=142, 20 wallclock secs (14.53 cusr +  0.13 csys = 14.66 CPU)
+ Package perl-Business-ISBN-2.03-3.fc8->
  Provides: perl(Business::ISBN) = 2.03 perl(Business::ISBN10)
perl(Business::ISBN13)
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Business::ISBN)
perl(Business::ISBN10) perl(Business::ISBN13) perl(Business::ISBN::Data) >= 1.15
perl(Carp) perl(Data::Dumper) perl(base) perl(strict) perl(subs) perl(vars)

APPROVED
Comment 9 Robin Norwood 2007-10-27 00:17:27 EDT
New Package CVS Request
=======================
Package Name: perl-Business-ISBN
Short Description: Perl module to work with Internation Standard Book Numbers
Owners: rnorwood
Branches: 
InitialCC: fedora-perl-devel-list@redhat.com 
Cvsextras Commits: no
Comment 10 Toshio Ernie Kuratomi 2007-10-29 14:16:39 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.